# deps, generated via pipdeptree --exclude setuptools,wheel,pipdeptree,pip -f | tr '[:upper:]' '[:lower:]'

alembic==1.11.1
  mako==1.2.4
    markupsafe==2.1.2
  sqlalchemy==1.4.49
    greenlet==2.0.2
  typing_extensions==4.7.1
async-timeout==4.0.2
babel==2.12.1
celery==5.3.1
  billiard==4.1.0
  click==8.1.3
  click-didyoumean==0.3.0
    click==8.1.3
  click-plugins==1.1.1
    click==8.1.3
  click-repl==0.2.0
    click==8.1.3
    prompt-toolkit==3.0.38
      wcwidth==0.2.6
    six==1.16.0
  kombu==5.3.1
    amqp==5.1.1
      vine==5.0.0
    vine==5.0.0
  python-dateutil==2.8.2
    six==1.16.0
  tzdata==2023.3
  vine==5.0.0
channelstream==0.7.1
  gevent==23.7.0
    greenlet==2.0.2
    zope.event==5.0.0
    zope.interface==6.0.0
  itsdangerous==1.1.0
  marshmallow==2.18.0
  pyramid==2.0.1
    hupper==1.12
    plaster==1.1.2
    plaster-pastedeploy==1.0.1
      pastedeploy==3.0.1
      plaster==1.1.2
    translationstring==1.4
    venusian==3.0.0
    webob==1.8.7
    zope.deprecation==5.0.0
    zope.interface==6.0.0
  pyramid-apispec==0.3.3
    apispec==1.3.3
  pyramid-jinja2==2.10
    jinja2==3.1.2
      markupsafe==2.1.2
    markupsafe==2.1.2
    pyramid==2.0.1
      hupper==1.12
      plaster==1.1.2
      plaster-pastedeploy==1.0.1
        pastedeploy==3.0.1
        plaster==1.1.2
      translationstring==1.4
      venusian==3.0.0
      webob==1.8.7
      zope.deprecation==5.0.0
      zope.interface==6.0.0
    zope.deprecation==5.0.0
  python-dateutil==2.8.2
    six==1.16.0
  requests==2.28.2
    certifi==2022.12.7
    charset-normalizer==3.1.0
    idna==3.4
    urllib3==1.26.14
  ws4py==0.5.1
deform==2.0.15
  chameleon==3.10.2
  colander==2.0
    iso8601==1.1.0
    translationstring==1.4
  iso8601==1.1.0
  peppercorn==0.6
  translationstring==1.4
  zope.deprecation==5.0.0
diskcache==5.6.1
docutils==0.19
dogpile.cache==1.2.2
  decorator==5.1.1
  stevedore==5.0.0
    pbr==5.11.1
formencode==2.0.1
  six==1.16.0
gunicorn==21.0.1
  packaging==23.1
infrae.cache==1.0.1
  beaker==1.12.1
  repoze.lru==0.7
markdown==3.4.3
msgpack==1.0.5
mysqlclient==2.1.1
nbconvert==7.2.9
  beautifulsoup4==4.11.2
    soupsieve==2.4
  bleach==6.0.0
    six==1.16.0
    webencodings==0.5.1
  defusedxml==0.7.1
  jinja2==3.1.2
    markupsafe==2.1.2
  jupyter_core==5.2.0
    platformdirs==3.5.1
    traitlets==5.9.0
  jupyterlab-pygments==0.2.2
  markupsafe==2.1.2
  mistune==2.0.5
  nbclient==0.7.2
    jupyter_client==8.0.3
      jupyter_core==5.2.0
        platformdirs==3.5.1
        traitlets==5.9.0
      python-dateutil==2.8.2
        six==1.16.0
      pyzmq==25.0.0
      tornado==6.2
      traitlets==5.9.0
    jupyter_core==5.2.0
      platformdirs==3.5.1
      traitlets==5.9.0
    nbformat==5.7.3
      fastjsonschema==2.16.3
      jsonschema==4.17.3
        attrs==22.2.0
        pyrsistent==0.19.3
      jupyter_core==5.2.0
        platformdirs==3.5.1
        traitlets==5.9.0
      traitlets==5.9.0
    traitlets==5.9.0
  nbformat==5.7.3
    fastjsonschema==2.16.3
    jsonschema==4.17.3
      attrs==22.2.0
      pyrsistent==0.19.3
    jupyter_core==5.2.0
      platformdirs==3.5.1
      traitlets==5.9.0
    traitlets==5.9.0
  packaging==23.1
  pandocfilters==1.5.0
  pygments==2.15.1
  tinycss2==1.2.1
    webencodings==0.5.1
  traitlets==5.9.0
orjson==3.9.2
pastescript==3.3.0
  paste==3.5.3
    six==1.16.0
  pastedeploy==3.0.1
  six==1.16.0
premailer==3.10.0
  cachetools==5.3.1
  cssselect==1.2.0
  cssutils==2.6.0
  lxml==4.9.2
  requests==2.28.2
    certifi==2022.12.7
    charset-normalizer==3.1.0
    idna==3.4
    urllib3==1.26.14
psutil==5.9.5
psycopg2==2.9.6
py-bcrypt==0.4
pycmarkgfm==1.2.0
  cffi==1.15.1
    pycparser==2.21
pycryptodome==3.17
pycurl==7.45.2
pymysql==1.0.3
pyotp==2.8.0
pyparsing==3.1.0
pyramid-debugtoolbar==4.10
  pygments==2.15.1
  pyramid==2.0.1
    hupper==1.12
    plaster==1.1.2
    plaster-pastedeploy==1.0.1
      pastedeploy==3.0.1
      plaster==1.1.2
    translationstring==1.4
    venusian==3.0.0
    webob==1.8.7
    zope.deprecation==5.0.0
    zope.interface==6.0.0
  pyramid-mako==1.1.0
    mako==1.2.4
      markupsafe==2.1.2
    pyramid==2.0.1
      hupper==1.12
      plaster==1.1.2
      plaster-pastedeploy==1.0.1
        pastedeploy==3.0.1
        plaster==1.1.2
      translationstring==1.4
      venusian==3.0.0
      webob==1.8.7
      zope.deprecation==5.0.0
      zope.interface==6.0.0
pyramid-mailer==0.15.1
  pyramid==2.0.1
    hupper==1.12
    plaster==1.1.2
    plaster-pastedeploy==1.0.1
      pastedeploy==3.0.1
      plaster==1.1.2
    translationstring==1.4
    venusian==3.0.0
    webob==1.8.7
    zope.deprecation==5.0.0
    zope.interface==6.0.0
  repoze.sendmail==4.4.1
    transaction==3.1.0
      zope.interface==6.0.0
    zope.interface==6.0.0
  transaction==3.1.0
    zope.interface==6.0.0
python-ldap==3.4.3
  pyasn1==0.4.8
  pyasn1-modules==0.2.8
    pyasn1==0.4.8
python-memcached==1.59
  six==1.16.0
python-pam==2.0.2
python3-saml==1.15.0
  isodate==0.6.1
    six==1.16.0
  lxml==4.9.2
  xmlsec==1.3.13
    lxml==4.9.2
pyyaml==6.0.1
redis==4.6.0
regex==2022.10.31
routes==2.5.1
  repoze.lru==0.7
  six==1.16.0
simplejson==3.19.1
sshpubkeys==3.3.1
  cryptography==40.0.2
    cffi==1.15.1
      pycparser==2.21
  ecdsa==0.18.0
    six==1.16.0
sqlalchemy==1.4.49
  greenlet==2.0.2
  typing_extensions==4.7.1
supervisor==4.2.5
tzlocal==4.3
  pytz-deprecation-shim==0.1.0.post0
    tzdata==2023.3
unidecode==1.3.6
urlobject==2.4.3
waitress==2.1.2
weberror==0.13.1
  paste==3.5.3
    six==1.16.0
  pygments==2.15.1
  tempita==0.5.2
  webob==1.8.7
webhelpers2==2.0
  markupsafe==2.1.2
  six==1.16.0
whoosh==2.7.4
zope.cachedescriptors==5.0.0

## uncomment to add the debug libraries
#-r requirements_debug.txt
